ID CVE-2009-0278
Summary Sun Java System Application Server (AS) 8.1 and 8.2 allows remote attackers to read the Web Application configuration files in the (1) WEB-INF or (2) META-INF directory via a malformed request.
References
Vulnerable Configurations
  • Sun Java System Application Server 8.2 SPARC
    cpe:2.3:a:sun:java_system_application_server:8.2:-:sparc
  • Sun Java System Application Server 8.1 SPARC
    cpe:2.3:a:sun:java_system_application_server:8.1:-:sparc
  • Sun Java System Application Server 8.2 x86
    cpe:2.3:a:sun:java_system_application_server:8.2:-:x86
  • Sun Java System Application Server 8.1 x86
    cpe:2.3:a:sun:java_system_application_server:8.1:-:x86
  • Sun Java System Application Server 8.2 Linux
    cpe:2.3:a:sun:java_system_application_server:8.2:-:linux
  • Sun Java System Application Server 8.1 Linux
    cpe:2.3:a:sun:java_system_application_server:8.1:-:linux
  • Sun Java System Application Server 8.2 Windows
    cpe:2.3:a:sun:java_system_application_server:8.2:-:windows
  • Sun Java System Application Server 8.1 Windows
    cpe:2.3:a:sun:java_system_application_server:8.1:-:windows
CVSS
Base: 5.0 (as of 27-01-2009 - 10:18)
Impact:
Exploitability:
CWE CWE-200
CAPEC
  • Subverting Environment Variable Values
    The attacker directly or indirectly modifies environment variables used by or controlling the target software. The attacker's goal is to cause the target software to deviate from its expected operation in a manner that benefits the attacker.
  • Footprinting
    An attacker engages in probing and exploration activity to identify constituents and properties of the target. Footprinting is a general term to describe a variety of information gathering techniques, often used by attackers in preparation for some attack. It consists of using tools to learn as much as possible about the composition, configuration, and security mechanisms of the targeted application, system or network. Information that might be collected during a footprinting effort could include open ports, applications and their versions, network topology, and similar information. While footprinting is not intended to be damaging (although certain activities, such as network scans, can sometimes cause disruptions to vulnerable applications inadvertently) it may often pave the way for more damaging attacks.
  • Exploiting Trust in Client (aka Make the Client Invisible)
    An attack of this type exploits a programs' vulnerabilities in client/server communication channel authentication and data integrity. It leverages the implicit trust a server places in the client, or more importantly, that which the server believes is the client. An attacker executes this type of attack by placing themselves in the communication channel between client and server such that communication directly to the server is possible where the server believes it is communicating only with a valid client. There are numerous variations of this type of attack.
  • Browser Fingerprinting
    An attacker carefully crafts small snippets of Java Script to efficiently detect the type of browser the potential victim is using. Many web-based attacks need prior knowledge of the web browser including the version of browser to ensure successful exploitation of a vulnerability. Having this knowledge allows an attacker to target the victim with attacks that specifically exploit known or zero day weaknesses in the type and version of the browser used by the victim. Automating this process via Java Script as a part of the same delivery system used to exploit the browser is considered more efficient as the attacker can supply a browser fingerprinting method and integrate it with exploit code, all contained in Java Script and in response to the same web page request by the browser.
  • Session Credential Falsification through Prediction
    This attack targets predictable session ID in order to gain privileges. The attacker can predict the session ID used during a transaction to perform spoofing and session hijacking.
  • Reusing Session IDs (aka Session Replay)
    This attack targets the reuse of valid session ID to spoof the target system in order to gain privileges. The attacker tries to reuse a stolen session ID used previously during a transaction to perform spoofing and session hijacking. Another name for this type of attack is Session Replay.
  • Using Slashes in Alternate Encoding
    This attack targets the encoding of the Slash characters. An attacker would try to exploit common filtering problems related to the use of the slashes characters to gain access to resources on the target host. Directory-driven systems, such as file systems and databases, typically use the slash character to indicate traversal between directories or other container components. For murky historical reasons, PCs (and, as a result, Microsoft OSs) choose to use a backslash, whereas the UNIX world typically makes use of the forward slash. The schizophrenic result is that many MS-based systems are required to understand both forms of the slash. This gives the attacker many opportunities to discover and abuse a number of common filtering problems. The goal of this pattern is to discover server software that only applies filters to one version, but not the other.
Access
VectorComplexityAuthentication
NETWORK LOW NONE
Impact
ConfidentialityIntegrityAvailability
PARTIAL NONE NONE
nessus via4
  • NASL family Solaris Local Security Checks
    NASL id SOLARIS10_X86_119167.NASL
    description Sun Java System App Server Enterprise Ed 8.1 2005Q1, _x86 Patch32. Date this patch was last updated by Sun : Oct/18/11 This plugin has been deprecated and either replaced with individual 119167 patch-revision plugins, or deemed non-security related.
    last seen 2019-02-21
    modified 2018-07-30
    plugin id 22988
    published 2006-11-06
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=22988
    title Solaris 10 (x86) : 119167-43 (deprecated)
  • NASL family Solaris Local Security Checks
    NASL id SOLARIS9_X86_124673.NASL
    description Vulnerability in the Oracle WebLogic Server component of Oracle Fusion Middleware (subcomponent: Web Container). Supported versions that are affected are 9.2.4, 10.0.2, 10.3.5, 10.3.6 and 12.1.1. Easily exploitable vulnerability allows successful unauthenticated network attacks via HTTP. Successful attack of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of Oracle WebLogic Server.
    last seen 2019-02-21
    modified 2016-12-12
    plugin id 27099
    published 2007-10-17
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=27099
    title Solaris 9 (x86) : 124673-20
  • NASL family Windows
    NASL id SUN_JAVA_APP_SERVER_INFO_DISCLOSURE.NASL
    description The version of Sun Java System Application Server installed on the remote host is potentially affected by an information disclosure vulnerability. A remote, unauthenticated attacker could exploit this flaw to read the Web Application configuration files in the WEB-INF or META-INF directory via a specially crafted request.
    last seen 2019-02-21
    modified 2018-07-30
    plugin id 68958
    published 2013-07-18
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=68958
    title Sun Java System Application Server Information Disclosure
  • NASL family Solaris Local Security Checks
    NASL id SOLARIS10_X86_124673-20.NASL
    description Vulnerability in the Oracle WebLogic Server component of Oracle Fusion Middleware (subcomponent: Web Container). Supported versions that are affected are 9.2.4, 10.0.2, 10.3.5, 10.3.6 and 12.1.1. Easily exploitable vulnerability allows successful unauthenticated network attacks via HTTP. Successful attack of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of Oracle WebLogic Server.
    last seen 2019-02-21
    modified 2018-10-29
    plugin id 107913
    published 2018-03-12
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=107913
    title Solaris 10 (x86) : 124673-20
  • NASL family Solaris Local Security Checks
    NASL id SOLARIS9_X86_119167.NASL
    description Sun Java System App Server Enterprise Ed 8.1 2005Q1, _x86 Patch32. Date this patch was last updated by Sun : Oct/18/11
    last seen 2018-09-01
    modified 2016-12-12
    plugin id 23610
    published 2006-11-06
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=23610
    title Solaris 9 (x86) : 119167-43
  • NASL family Solaris Local Security Checks
    NASL id SOLARIS9_119166.NASL
    description Sun Java System App Server Enterprise Ed 8.1 2005Q1, Solaris Patch. Date this patch was last updated by Sun : Oct/18/11
    last seen 2018-09-01
    modified 2016-12-12
    plugin id 23552
    published 2006-11-06
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=23552
    title Solaris 9 (sparc) : 119166-43
  • NASL family Solaris Local Security Checks
    NASL id SOLARIS10_X86_124673.NASL
    description Vulnerability in the Oracle WebLogic Server component of Oracle Fusion Middleware (subcomponent: Web Container). Supported versions that are affected are 9.2.4, 10.0.2, 10.3.5, 10.3.6 and 12.1.1. Easily exploitable vulnerability allows successful unauthenticated network attacks via HTTP. Successful attack of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of Oracle WebLogic Server. This plugin has been deprecated and either replaced with individual 124673 patch-revision plugins, or deemed non-security related.
    last seen 2019-02-21
    modified 2018-07-30
    plugin id 27077
    published 2007-10-17
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=27077
    title Solaris 10 (x86) : 124673-20 (deprecated)
  • NASL family Solaris Local Security Checks
    NASL id SOLARIS10_124672.NASL
    description Vulnerability in the Oracle WebLogic Server component of Oracle Fusion Middleware (subcomponent: Web Container). Supported versions that are affected are 9.2.4, 10.0.2, 10.3.5, 10.3.6 and 12.1.1. Easily exploitable vulnerability allows successful unauthenticated network attacks via HTTP. Successful attack of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of Oracle WebLogic Server. This plugin has been deprecated and either replaced with individual 124672 patch-revision plugins, or deemed non-security related.
    last seen 2019-02-21
    modified 2018-07-30
    plugin id 27072
    published 2007-10-17
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=27072
    title Solaris 10 (sparc) : 124672-20 (deprecated)
  • NASL family Solaris Local Security Checks
    NASL id SOLARIS10_124672-20.NASL
    description Vulnerability in the Oracle WebLogic Server component of Oracle Fusion Middleware (subcomponent: Web Container). Supported versions that are affected are 9.2.4, 10.0.2, 10.3.5, 10.3.6 and 12.1.1. Easily exploitable vulnerability allows successful unauthenticated network attacks via HTTP. Successful attack of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of Oracle WebLogic Server.
    last seen 2019-02-21
    modified 2018-10-26
    plugin id 107410
    published 2018-03-12
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=107410
    title Solaris 10 (sparc) : 124672-20
  • NASL family Solaris Local Security Checks
    NASL id SOLARIS8_124672.NASL
    description Vulnerability in the Oracle WebLogic Server component of Oracle Fusion Middleware (subcomponent: Web Container). Supported versions that are affected are 9.2.4, 10.0.2, 10.3.5, 10.3.6 and 12.1.1. Easily exploitable vulnerability allows successful unauthenticated network attacks via HTTP. Successful attack of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of Oracle WebLogic Server.
    last seen 2019-02-21
    modified 2016-12-12
    plugin id 27509
    published 2007-10-18
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=27509
    title Solaris 8 (sparc) : 124672-20
  • NASL family Solaris Local Security Checks
    NASL id SOLARIS10_119166.NASL
    description Sun Java System App Server Enterprise Ed 8.1 2005Q1, Solaris Patch. Date this patch was last updated by Sun : Oct/18/11 This plugin has been deprecated and either replaced with individual 119166 patch-revision plugins, or deemed non-security related.
    last seen 2019-02-21
    modified 2018-07-30
    plugin id 22955
    published 2006-11-06
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=22955
    title Solaris 10 (sparc) : 119166-43 (deprecated)
  • NASL family Solaris Local Security Checks
    NASL id SOLARIS9_124672.NASL
    description Vulnerability in the Oracle WebLogic Server component of Oracle Fusion Middleware (subcomponent: Web Container). Supported versions that are affected are 9.2.4, 10.0.2, 10.3.5, 10.3.6 and 12.1.1. Easily exploitable vulnerability allows successful unauthenticated network attacks via HTTP. Successful attack of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of Oracle WebLogic Server.
    last seen 2019-02-21
    modified 2016-12-12
    plugin id 27092
    published 2007-10-17
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=27092
    title Solaris 9 (sparc) : 124672-20
  • NASL family Solaris Local Security Checks
    NASL id SOLARIS10_X86_119167-43.NASL
    description Sun Java System App Server Enterprise Ed 8.1 2005Q1, _x86 Patch32. Date this patch was last updated by Sun : Oct/18/11
    last seen 2018-10-31
    modified 2018-10-29
    plugin id 107810
    published 2018-03-12
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=107810
    title Solaris 10 (x86) : 119167-43
  • NASL family Solaris Local Security Checks
    NASL id SOLARIS8_119166.NASL
    description Sun Java System App Server Enterprise Ed 8.1 2005Q1, Solaris Patch. Date this patch was last updated by Sun : Oct/18/11
    last seen 2018-09-01
    modified 2016-12-12
    plugin id 23413
    published 2006-11-06
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=23413
    title Solaris 8 (sparc) : 119166-43
refmap via4
bid 33397
confirm http://sunsolve.sun.com/search/document.do?assetkey=1-21-119166-35-1
osvdb 51604
secunia 33725
sunalert 245446
vupen ADV-2009-0208
xf javasystem-webinf-metainf-info-disclosure(48161)
Last major update 07-03-2011 - 22:18
Published 26-01-2009 - 21:30
Last modified 07-08-2017 - 21:33
Back to Top